/*
 * LoadSave.h
 *
 *  Created on: 2009-07-10
 *      Author: wasyl
 */

#ifndef LOADSAVE_H_
#define LOADSAVE_H_

#include "../prep/ent/World.h"

#include <map>
#include <string>

class LoadSave
{
private:
	std::map<std::string,Entity*> mapping;

public:
	LoadSave();
	~LoadSave();
	void load(const char *filename, World *world);
	void save(const char *filename, World *world);
};

#endif /* LOADSAVE_H_ */
